<div class="container col-sm-10">
  <div class="row col-sm-12 justify-content-center" style="margin: auto">
    <div class="col-sm-6 offer-card-margins">
      <mat-card class="mat-elevation-z4">
        <div class="row justify-content-start align-items-center">
          <h3 class="col-sm-4 offer-header-text">
            <b>Offer help as:</b>
          </h3>
          <button
            class="btn btn-secondary col-sm-3"
            style="margin-right: 0.25rem"
            [ngClass]="{ highlighted: selected === 'pal' }"
            (click)="selected = 'pal'"
          >
            Pal
          </button>
          <button
            class="btn btn-secondary col-sm-3"
            [ngClass]="{ highlighted: selected === 'tutor' }"
            (click)="selected = 'tutor'"
          >
            Tutor
          </button>
        </div>
        <div class="row justify-content-center">
          <app-dropdown-search
            *ngIf="courseList"
            [list]="courseList"
            class="col-8"
            style="margin-top: 0.5rem"
            [placeholder]="'Your courses'"
            (filterBy)="filterByCourse($event)"
          ></app-dropdown-search>
        </div>
        <div class="row justify-content-center align-items-center" style="margin-bottom: 1rem">
          <h3 class="col-4" style="margin-bottom: 0; text-align: end"><b>Rate: </b></h3>
          <input #rate class="col-2" [disabled]="selected === 'pal'" />
          <h3 class="col-4" style="margin-bottom: 0"><b> € / hour</b></h3>
        </div>
        <div class="row justify-content-center" style="margin-top: 0.5rem">
          <button [disabled]="checkIfExist()" class="btn btn-primary" (click)="submit(rate.value)">
            Submit
          </button>
        </div>
      </mat-card>
      <div class="rounded bg-white edit-profile-margins col-sm-12 mat-elevation-z8 edit-infos">
        <div class="row" style="padding-top: 1.5rem">
          <div class="col-3">
            <div
              class="row d-flex flex-column align-items-center text-center-edit"
              [routerLink]="['/user-profile/' + currentUser?._id]"
            >
              <img mat-card-avatar src="/assets/student.png" class="pic-edit" />
              <span class="font-weight-bold">
                <h2>{{ currentUser?.firstName }}</h2></span
              >
            </div>
          </div>
          <div class="col-9">
            <mat-tab-group dynamicHeight mat-stretch-tabs
              ><mat-tab>
                <ng-template mat-tab-label>
                  <mat-icon class="material-icons-round tab-label-icon">local_library</mat-icon>
                  As Pal
                </ng-template>
                <div class="row">
                  <div class="col rating-row">
                    <ngb-rating [max]="5" readonly="true" [rate]="getPalRating()"></ngb-rating>
                  </div></div></mat-tab
              ><mat-tab
                ><ng-template mat-tab-label>
                  <mat-icon class="material-icons-round tab-label-icon">support_agent</mat-icon>
                  As Tutor
                </ng-template>
                <div class="row">
                  <div class="col rating-row">
                    <ngb-rating [max]="5" readonly="true" [rate]="getTutorRating()"></ngb-rating>
                  </div></div></mat-tab
            ></mat-tab-group>
          </div>
        </div>
        <div class="row">
          <div class="col-12">
            <div class="d-flex justify-content-between align-items-center edit-profile">
              <h1 class="text-right">Edit Profile</h1>
            </div>
            <div class="row" style="margin-top: 0.5rem">
              <div class="col-md-6">
                <input
                  type="text"
                  class="form-control user-info"
                  placeholder="First name"
                  [(ngModel)]="currentUser.firstName"
                />
              </div>
              <div class="col-md-6">
                <input
                  type="text"
                  class="form-control user-info"
                  [(ngModel)]="currentUser.lastName"
                  placeholder="Last name"
                />
              </div>
            </div>
            <div class="row" style="margin-top: 1rem">
              <div class="col-md-6">
                <input
                  type="text"
                  class="form-control user-info"
                  placeholder="Email"
                  [(ngModel)]="currentUser.email"
                />
              </div>
              <div class="col-md-6">
                <input
                  type="text"
                  class="form-control user-info"
                  [(ngModel)]="currentUser.username"
                  placeholder="Username"
                />
              </div>
            </div>
            <div style="margin-top: 1.5rem">
              <div class="form-group focused">
                <label>About Me</label>
                <textarea
                  rows="4"
                  class="form-control form-control-alternative user-info"
                  placeholder="A few words about you ..."
                  [(ngModel)]="currentUser.description"
                ></textarea>
              </div>
            </div>
            <div class="text-right" style="margin-top: 1.5rem">
              <button
                class="btn btn-primary profile-button"
                type="button"
                (click)="updateProfile()"
              >
                Save Profile
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-sm-6" style="margin-top: 1.5rem">
      <div class="row">
        <div class="col">
          <mat-card class="list-box mat-elevation-z4" style="margin-bottom: 1.5rem">
            <h3 class="text-center"><b>Incoming Requests</b></h3>
            <div *ngIf="requestsToUser">
              <div *ngFor="let request of requestsToUser">
                <app-request-card
                  (reloadComponent)="ngOnInit()"
                  style="margin-bottom: 1rem"
                  [request]="request"
                  [isIncomingRequest]="true"
                ></app-request-card>
              </div>
            </div>
          </mat-card>
        </div>
      </div>
      <div class="row" style="margin-bottom: 1rem">
        <div class="col">
          <mat-card class="list-box mat-elevation-z4">
            <h3 class="text-center"><b>Submitted Requests</b></h3>
            <div *ngIf="requestsFromUser">
              <div *ngFor="let request of requestsFromUser">
                <app-request-card
                  (reloadComponent)="ngOnInit()"
                  [request]="request"
                ></app-request-card>
              </div>
            </div>
          </mat-card>
        </div>
      </div>
    </div>
  </div>
</div>
